use serde::{Deserialize, Serialize};
use std::path::PathBuf;

#[derive(Debug, Serialize, Deserialize)]
pub struct Job {
    name:      String,
    file_path: PathBuf,
}

impl Job {
    pub fn new(name: String, file_path: PathBuf) -> Job {
        Job{name, file_path}
    }
}

#[derive(Debug, Serialize, Deserialize)]
pub struct Project {
    jobs: Vec<Job>
}

impl Project {
    pub fn new(jobs: Vec<Job>) -> Project {
        Project{jobs}
    }

    pub fn push(&mut self, job: Job) {
        self.jobs.push(job);
    }

    pub fn len(&self) -> usize {
        self.jobs.len()
    }
}